
QGIS Application - Bug report #17511

adding two instances of the same gpkg layer and editing on one of them crashes qgis

2017-11-21 06:02 PM - Alessandro Pasotti

Status: Closed

Priority: High

Assignee:

Category: Data Provider/OGR

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 25408

Description

See #17507 for the sample project and data

steps to reproduce

- load the sample project

- by using the ogr browser, load the gpkg layer (second instance)

- start editing the second instance

- add some features

- end editing (sometimes it crashes here!)

- right click on the first instance (sometimes it crashes here!)

Related issues:

Related to QGIS Application - Bug report # 17507: Unable to edit filtered Geo... Closed 2017-11-21

History

#1 - 2017-11-21 06:06 PM - Giovanni Manghi

- Priority changed from Normal to High

#2 - 2017-11-21 06:11 PM - Alessandro Pasotti

Stack trace http://dpaste.com/2MM3ZC7

#3 - 2017-11-21 06:27 PM - Alessandro Pasotti

- Related to Bug report #17507: Unable to edit filtered GeoPackage layer added

#4 - 2017-11-27 05:09 PM - Jürgen Fischer

- Description updated

#5 - 2018-06-01 02:39 PM - Even Rouault

- Status changed from Open to Feedback

@Alessandro I can't reproduce any crash with master. Unfortunately the http://dpaste.com/2MM3ZC7 has expired since you create it. Do you still have it ?

If you can't reproduce any more, we'd better close this one

#6 - 2018-06-01 04:36 PM - Alessandro Pasotti

- Resolution set to not reproducable

- Status changed from Feedback to Closed
I cannot reproduce it anymore.
